//========================================================================================
//
//	File:				RbbrBand.h
//	Release Version:	$ 1.0d11 $
//
//	Author:				Henri Lamiraux
//
//	Copyright:	 1993, 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef RBBRBAND_H
#define RBBRBAND_H

// ----- Framework Includes -----

#ifndef FWTRACKR_H
#include "FWTrackr.h"
#endif

// ----- Graphic Includes -----

#ifndef FWRECSHP_H
#include "FWRecShp.h"
#endif

//========================================================================================
//	class CRectRubberBand
//========================================================================================

class FW_CLASS_ATTR CRectRubberBand : public FW_CTracker
{
//-----------------------------------------------------------------------------------------
//	Constructors/Destructor
//
public:
	CRectRubberBand(Environment* ev, 
					FW_CView* view, 
					ODFacet* facet, 
					const FW_CRect& maxRect, 
					const FW_CPoint& zoomRatio);
	virtual ~CRectRubberBand();
	
//-----------------------------------------------------------------------------------------
//	Inherited API
//
public:
	virtual FW_CPoint 	BeginTracking(Environment* ev, 
								const FW_CPoint& anchorPoint);
	virtual FW_CPoint 	ContinueTracking(Environment* ev, 
								const FW_CPoint& anchorPoint, 
								const FW_CPoint& previousPoint, 
								const FW_CPoint& currentPoint);
	virtual FW_Boolean	EndTracking(Environment* ev, 
								const FW_CPoint& anchorPoint, 
								const FW_CPoint& lastPoint);

//-----------------------------------------------------------------------------------------
//	New API
//
public:
	void				GetRect(FW_CRect& rect)
							{fRectShape.GetRectangle(rect);}
	FW_CPoint			AlignOnPixel(const FW_CPoint& location);
	
//-----------------------------------------------------------------------------------------
//	Data Members
//
private:
	FW_CRectShape		fRectShape;
	FW_CRect			fMaxRect;
	FW_CPoint			fZoomRatio;
};

#endif