//========================================================================================
//
//	File:				DrwPrmse.h
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef DRWPRMSE_H
#define DRWPRMSE_H

#ifndef FWPRMISE_H
#include "FWPrmise.h"
#endif

// ----- OS Layer -----

#ifndef FWRECT_H
#include "FWRect.h"
#endif

//========================================================================================
//	Forward Declarations
//========================================================================================

#if FW_LIB_EXPORT_PRAGMAS
#pragma import on
#endif
class FW_CLASS_ATTR FW_CPrivOrderedCollection;
#if FW_LIB_EXPORT_PRAGMAS
#pragma import off
#endif

class FW_CLASS_ATTR CDrawPart;
class FW_CLASS_ATTR CDrawSelection;

//========================================================================================
//	class CDrawPromise
//========================================================================================

class CDrawPromise : public FW_CPromise
{
//----------------------------------------------------------------------------------------
//	Constructor/Destructor
//
public:
	CDrawPromise(Environment*ev, 
				ODUpdateID updateID,
				FW_EStorageKinds storageKind, 
				CDrawPart* part, 
				FW_CFrame* scopeFrame, 
				CDrawSelection* selection);
	virtual ~CDrawPromise();

//----------------------------------------------------------------------------------------
//	Inherited API
//
public:
	virtual void	 FulfillPromise(Environment *ev, 
									ODStorageUnitView *promiseSUView, 
									ODPropertyName propertyName,
									ODValueType valueType, 
									FW_CCloneInfo* cloneInfo);
	
	virtual void	PromisePropertiesAndValues(Environment *ev, 
									ODStorageUnit* storageUnit);
									
//----------------------------------------------------------------------------------------
//	Data Members
//
private:
	FW_CRect			fSelectionRect;
	FW_CPrivOrderedCollection*	fCollection;
	CDrawSelection*		fDrawSelection;
};

#endif