//========================================================================================
//
//	File:				FWRuler.h
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWRULER_H
#define FWRULER_H

#ifndef FWVIEW_H
#include "FWView.h"
#endif

#ifndef FWRUNTYP_H
#include "FWRunTyp.h"
#endif

#if FW_LIB_EXPORT_PRAGMAS
#pragma lib_export on
#endif

//========================================================================================
//	Forward Class Definitions
//========================================================================================

class FW_CLASS_ATTR FW_PFont;
class FW_CLASS_ATTR FW_CFrame;
class FW_CLASS_ATTR FW_CPictureShape;

//========================================================================================
//	CLASS FW_CRuler
//========================================================================================

class FW_CLASS_ATTR FW_CRuler : public FW_CView
{
public:
	FW_DECLARE_CLASS

//----------------------------------------------------------------------------------------
//	Initialization/destruction
//
public:
	FW_CRuler(Environment* ev, 
				FW_CView* container, 
				const FW_CRect& bounds, 
				int contentSpace);
	virtual ~FW_CRuler();	

//----------------------------------------------------------------------------------------
//	Inherited API
//
public:
	virtual void 	Draw(Environment* ev, ODFacet* odFacet, ODShape* invalidShape);

//----------------------------------------------------------------------------------------
//	New API
//
protected:
	void 	RenderHorizontalRuler(FW_CViewContext& vc, const FW_CRect& visibleRect);
	void 	RenderVerticalRuler(FW_CViewContext& vc, const FW_CRect& visibleRect);
	void	RenderGradation(FW_CViewContext& vc,
						short gradation, 
						const FW_PFont& font, 
						const FW_CPoint& pos);
};

#if FW_LIB_EXPORT_PRAGMAS
#pragma lib_export off
#endif

#endif
