//========================================================================================
//
//	File:				EmbedPxy.h
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef EMBEDPROXY_H
#define EMBEDPROXY_H

// ----- ODF Includes -----

#ifndef FWPROXY_H
#include "FWProxy.h"
#endif

#ifndef FWRECT_H
#include "FWRect.h"
#endif

//==============================================================================
//	Forward declarations
//==============================================================================

#if FW_LIB_EXPORT_PRAGMAS
#pragma import on
#endif
class FW_CLASS_ATTR FW_CEmbeddingFrame;
#if FW_LIB_EXPORT_PRAGMAS
#pragma import off
#endif

class FW_CLASS_ATTR CEmbedPart;

//==============================================================================
//	class CEmbedProxy
//==============================================================================

class FW_CLASS_ATTR CEmbedProxy : public FW_MProxy
{
//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
  public:
	CEmbedProxy(Environment* ev, CEmbedPart* part);
	virtual ~ CEmbedProxy();

//----------------------------------------------------------------------------------------
//	Inherited API
//
	virtual void 		UsedShapeChanged(Environment* ev,
								  FW_CEmbeddingFrame* embeddingFrame,
								  ODFrame* odEmbeddedFrame);
	
	virtual ODShape* 	FrameShapeRequested(Environment* ev, 
										ODFrame* odEmbeddedFrame, 
										ODShape* askedFrameShape);
										
//----------------------------------------------------------------------------------------
//	Data Members
//
private:
	CEmbedPart*			fPart;
};

#endif
