//========================================================================================
//
//	File:				FormFrm.h
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FORMFRM_H
#define FORMFRM_H

// ----- Framework Includes -----

#ifndef FWFRAME_H
#include "FWFrame.h"
#endif

#ifndef FWEVENT_H
#include "FWEvent.h"
#endif

// ----- Foundation Layer -----

#ifndef FWHFCONN_H
#include "FWHFConn.h"
#endif

//==============================================================================
// Forward Declarations
//==============================================================================

class FW_CLASS_ATTR CFormPart;
class FW_CLASS_ATTR FW_CMenuEvent;
class FW_CLASS_ATTR FW_CNotification;
class FW_CLASS_ATTR FW_CHandleFunctionConnection;
class FW_CLASS_ATTR FW_CPushButton;
class FW_CLASS_ATTR FW_CRadioCluster;
class FW_CLASS_ATTR FW_CScrollBarScroller;
class FW_CLASS_ATTR FW_CGrowBox;
class FW_CLASS_ATTR CFormPane;

//==============================================================================
// CFormFrame
//==============================================================================

class FW_CLASS_ATTR CFormFrame : public FW_CFrame
{
//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
  public:
	CFormFrame(Environment* ev, 
				ODFrame* odFrame, 
				FW_CPresentation* presentation, 
				CFormPart* formPart);

	virtual ~CFormFrame();
	
//----------------------------------------------------------------------------------------
//	Inherited API
//
	virtual FW_Boolean	DoAdjustMenus(Environment* ev,
									  FW_CMenuBar* menuBar, 
									  FW_Boolean hasMenuFocus,
									  FW_Boolean isRoot);			// Override

	virtual FW_Boolean	DoMenu(Environment* ev,
							   const FW_CMenuEvent& theMenuEvent);	// Override

	virtual void 		Draw(Environment *ev, ODFacet* odFacet, ODShape* invalidShape);
	virtual void		FrameShapeChanged(Environment* ev);	// Override

	// ----- Views Layout -----
	virtual void		CreateSubViews(Environment* ev);
	virtual void		AdjustSubViews(Environment* ev);

	// ----- FW_MReceiver overrides ----- 
	virtual void 		HandleNotification(const FW_CNotification& notification);

//----------------------------------------------------------------------------------------
//	New API
//
  public:
	FW_Boolean 			DoAboutBox();
	CFormPart* 			GetFormPart();

//----------------------------------------------------------------------------------------
//	Data Members
//
  private:
	CFormPart* 					fFormPart;
	FW_CGrowBox*				fGrowBox;
	CFormPane*					fPaneView;
	FW_CPushButton*				fButton;
	ODID						fButtonId;
	ODTypeToken					fButtonNotificationToken;
	FW_CHandleFunctionConnection 	fConnection;

//	FW_CRadioCluster*			fRadioCluster;
};

//==============================================================================
// CFormFrame Inlines
//==============================================================================

inline CFormPart* CFormFrame::GetFormPart()
{
	return fFormPart;
}

#endif
