//========================================================================================
//
//	File:				FormPane.h
//	Release Version:	$ 1.0d11 $
//
//	Author:				Laurent Delamare
//
//	Copyright:	 1993, 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FORMPANE_H
#define FORMPANE_H

// ----- Part Layer -----

#ifndef FWVIEW_H
#include "FWView.h"
#endif

//========================================================================================
// Forward Declaration
//========================================================================================

class FW_CLASS_ATTR CFormPart;

//========================================================================================
// CFormPane
//========================================================================================
// Simple view class drawing a pane with a thick border

class FW_CLASS_ATTR CFormPane : public FW_CView
{
public:
	FW_DECLARE_CLASS

//----------------------------------------------------------------------------------------
// Initialization/destruction
//
public:		
	CFormPane(Environment *ev, FW_CView* container, FW_CRect& bounds, CFormPart* drawPart);
	virtual ~ CFormPane();

//----------------------------------------------------------------------------------------
// Inherited API
//
public:		
	virtual void 			Draw(Environment *ev, ODFacet* odFacet, ODShape* invalidShape);
//	virtual FW_Boolean 		DoMouseDown(Environment *ev, const FW_CMouseEvent& theMouseEvent);

//----------------------------------------------------------------------------------------
//	New API
//

//----------------------------------------------------------------------------------------
// Data Members
//
private:	
	CFormPart*				fFormPart;
};

#endif
