//========================================================================================
//
//	File:				HelloPrt.r
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#define SystemSevenOrBetter 1			// we want the extended types
#define	SystemSevenOrLater	1			// Types.r uses this variable

#include "Types.r"
#include "SysTypes.r"
#include "CodeFragmentTypes.r"

#ifndef __ODTYPES_R__
#include "ODTypes.r"
#endif

#ifndef HELLODEF_H
#include "HelloDef.h"
#endif

//-------------------------------------------------------------------------------------
// .rsrc resources
//-------------------------------------------------------------------------------------

include "MacIcons.rsrc" not 'ckid';

//-------------------------------------------------------------------------------------
// Code Fragment Resource
//-------------------------------------------------------------------------------------

resource 'cfrg' (0) {
	{	/* array memberArray: 2 elements */
		/* [1] */
#ifdef FW_BUILD_MAC68K
		kMotorola,
#else
		kPowerPC,
#endif
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		kODFHelloEditor,
		/* [2] */
#ifdef FW_BUILD_MAC68K
		kMotorola,
#else
		kPowerPC,
#endif
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"ODFHello"
	}
};

//-------------------------------------------------------------------------------------
// NMAP Resources
//-------------------------------------------------------------------------------------

resource kODNameMappings (kKindCategoryMapId) {
	kODKind,
	{	/* array Types: 1 elements */
		/* [1] */
		kODFHelloKind,
		kODIsAnISOStringList
		{
			{	/* array ClassIDs: 1 elements */
				/* [1] */
				kODCategoryPlainText
			}
		}
	}
};

resource kODNameMappings (kEditorKindMapId) {
	kODEditorKinds,
	{	/* array Types: 1 elements */
		/* [1] */
		kODFHelloEditor,
		kODIsAnISOStringList
		{
			{	/* array ClassIDs: 1 elements */
				/* [1] */
				kODFHelloKind
			}
		}
	}
};

resource kODNameMappings (kEditorUserStringMapId) {
	kODEditorUserString,
	{	/* array Types: 1 elements */
		/* [1] */
		kODFHelloEditor,
		kODIsINTLText
		{
			smRoman,
			langEnglish,
			kODFHelloEditorUserString
		}
	}
};

resource kODNameMappings (kKindUserStringMapId) {
	kODKindUserString,
	{	/* array Types: 1 elements */
		/* [1] */
		kODFHelloKind,
		kODIsINTLText
		{
			smRoman,
			langEnglish,
			kODFHelloKindUserString
		}
	}
};

resource kODNameMappings (kCategoryUserStringMapId) {
	kODCategoryUserString,
	{	/* array Types: 1 elements */
		/* [1] */
		kODCategoryPlainText,
		kODIsINTLText
		{
			smRoman,
			langEnglish,
			kODFHelloCategoryUserString
		}
	}
};

resource kODNameMappings (kOldMacOSTypeMapId) {
	kODKindOldMacOSType,
	{	/* array KeyList: 1 elements */
		/* [1] */
		kODFHelloKind,
		kODIsMacOSType {
			kODFHelloOSType
		}
	}
};

resource kODNameMappings (kEditorPlatformKinds) {
	kODEditorPlatformKind,
	{	/* array KeyList: 1 elements */
		/* [1] */
		kODFHelloEditor,
		kODIsPltfmTypeSpac {
			/* array PltfmTypeSpacList: 2 elements */
			{
				/* [1] */
				kODPlatformFileType, 
				kTEXTOSType, 
				smRoman, 
				langEnglish, 
				kDragKindUserString1, 
				kODCategoryPlainText,
				/* [2] */
				kODPlatformDataType, 
				kTEXTOSType, 
				smRoman, 
				langEnglish, 
				kDragKindUserString2, 
				kODCategoryPlainText
			}
		}
	}
};

