//========================================================================================
//
//	File:				MovieSel.h
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1993, 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef MOVIESEL_H
#define MOVIESEL_H

// ----- FrameWork Includes -----

#ifndef FWSELECT_H
#include "FWSelect.h"
#endif

//========================================================================================
//	Forward Declarations
//========================================================================================

class FW_CLASS_ATTR CMoviePart;
class FW_CLASS_ATTR CMovie;

//========================================================================================
//	class CMovieSelection
//========================================================================================

class FW_CLASS_ATTR CMovieSelection : public FW_CSelection
{
	
//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
public:
	CMovieSelection(Environment* ev, CMoviePart* moviePart);
	virtual ~CMovieSelection();
	
//----------------------------------------------------------------------------------------
//	Inherited API
//
public:
	virtual void		CloseSelection(Environment* ev);
	virtual FW_Boolean	ClearSelection(Environment* ev);
	virtual void		SelectAll(Environment* ev);
	virtual FW_Boolean	IsEmpty(Environment* ev) const;

	virtual void		DoExternalizeSelection(Environment* ev, 
										ODStorageUnit* destinationSU, 
										FW_CCloneInfo* cloneInfo);

	virtual FW_Boolean	DoInternalizeSelection(Environment* ev, 
										ODStorageUnit* sourceSU, 
										FW_CCloneInfo* cloneInfo);
												
private:
	void 				PasteMovie(Environment* ev, CMovie* newMovie);

												
//----------------------------------------------------------------------------------------
//	Data Members
//
private:
	CMoviePart*			fMoviePart;
};

#endif