//========================================================================================
//
//	File:				TblProxy.h
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef TBLPROXY_H
#define TBLPROXY_H

#ifndef TBLPART_H
#include "TblPart.h"
#endif

// ----- ODF Includes -----

#ifndef FWPROXY_H
#include "FWProxy.h"
#endif

//========================================================================================
//	Forward declarations
//========================================================================================

class FW_CLASS_ATTR CTablePart;

//========================================================================================
//	class CTableProxy
//========================================================================================

class FW_CLASS_ATTR CTableProxy : public FW_MProxy
{
public:

//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
  public:
	CTableProxy(Environment* ev, CTablePart* tablePart, FW_CPresentation* presentation);
	virtual ~ CTableProxy();

//----------------------------------------------------------------------------------------
//	Inherited API
//
	virtual void 		UsedShapeChanged(Environment *ev,
								  	FW_CEmbeddingFrame* embeddingFrame,
								  	ODFrame* odEmbeddedFrame);

	virtual ODShape* 	FrameShapeRequested(Environment* ev, 
									ODFrame* odEmbeddedFrame, 
									ODShape* askedFrameShape);

//----------------------------------------------------------------------------------------
//	New API
//
  public:
	void				MoveEmbeddedFrames(Environment* ev, const CCell& destCell);

	void	ChangeLinkStatus(Environment* ev, ODLinkStatus linkStatus);

	// ----- Getters/Setters -----
	const CCell& 		GetCell() const;
	void				SetCell(const CCell& cell);	
	
//----------------------------------------------------------------------------------------
//	Data Members
//
  protected:
	CTablePart*		fTablePart;
	CCell			fCell;

};

//========================================================================================
//	CTableProxy Inlines
//========================================================================================

//----------------------------------------------------------------------------------------
//	CTableProxy::GetCell
//----------------------------------------------------------------------------------------
inline const CCell& CTableProxy::GetCell() const
{
	return fCell;
}

//----------------------------------------------------------------------------------------
//	CTableProxy::SetCell
//----------------------------------------------------------------------------------------
inline void CTableProxy::SetCell(const CCell& cell)
{
	fCell = cell;
}

#endif
